ripley/src/system_dep.h File Reference
`#include <escript/DataTypes.h>`
`#include <boost/detail/endian.hpp>`
`#include <stdint.h>`

Go to the source code of this file.

## Namespaces

| ripley

## Macros

#define | RIPLEY_DLL_API
#define | bswap_32(D) (D)
#define | bswap_64(D) (D)

## Enumerations

enum | { ripley::BYTEORDER_NATIVE = BOOST_BYTE_ORDER , ripley::BYTEORDER_LITTLE_ENDIAN = 4321 , ripley::BYTEORDER_BIG_ENDIAN = 1234 }
enum | { ripley::DATATYPE_INT32 = 1 , ripley::DATATYPE_FLOAT32 , ripley::DATATYPE_FLOAT64 }

## Functions

char * | ripley::byte_swap32 (char *val)
char * | ripley::byte_swap64 (char *val)

## Macro Definition Documentation

## bswap_32

#define bswap_32 | ( |  | D | ) | (D)

## bswap_64

#define bswap_64 | ( |  | D | ) | (D)

## RIPLEY_DLL_API

#define RIPLEY_DLL_API